# Poco::Data

# class Connector

Library: Data
Package: DataCore
Header: Poco/Data/Connector.h

## Description

A Connector creates SessionImpl objects.

Every connector library (like the SQLite or the ODBC connector) provides a subclass of this class, an instance of which is registered with the SessionFactory.

## Inheritance

Known Derived Classes: Poco::Data::MySQL::Connector, Poco::Data::ODBC::Connector, Poco::Data::SQLite::Connector

## Member Summary

Member Functions: createSession

## Constructors

### Connector

Connector();

Creates the Connector.

## Destructor

### ~Connector

virtual ~Connector();

Destroys the Connector.

## Member Functions

### createSession

virtual Poco::AutoPtr < SessionImpl > createSession(
const std::string & connectionString
) = 0;

Create a SessionImpl object and initialize it with the given connectionString.